Steer Protocol Developer Toolkit
=================

[![Version](https://img.shields.io/npm/v/@steerprotocol/steer-toolset)](https://npmjs.org/package/@steerprotocol/steer-toolset)
[![Downloads/month](https://img.shields.io/npm/dm/@steerprotocol/steer-toolset)](https://npmjs.org/package/@steerprotocol/steer-toolset)
[![License](https://img.shields.io/npm/l/@steerprotocol/steer-toolset)](https://github.com/oclif/hello-world/blob/main/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g @steerprotocol/steer-toolset
$ steer-toolset COMMAND
running command...
$ steer-toolset (--version)
@steerprotocol/steer-toolset/1.2.3 darwin-x64 node-v16.18.1
$ steer-toolset --help [COMMAND]
USAGE
  $ steer-toolset COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`steer-toolset app`](#steer-toolset-app)
* [`steer-toolset app backtest FILE`](#steer-toolset-app-backtest-file)
* [`steer-toolset doctor`](#steer-toolset-doctor)
* [`steer-toolset help [COMMAND]`](#steer-toolset-help-command)
* [`steer-toolset job [TYPE_OF_JOB]`](#steer-toolset-job-type_of_job)
* [`steer-toolset plugins`](#steer-toolset-plugins)
* [`steer-toolset plugins:install PLUGIN...`](#steer-toolset-pluginsinstall-plugin)
* [`steer-toolset plugins:inspect PLUGIN...`](#steer-toolset-pluginsinspect-plugin)
* [`steer-toolset plugins:install PLUGIN...`](#steer-toolset-pluginsinstall-plugin-1)
* [`steer-toolset plugins:link PLUGIN`](#steer-toolset-pluginslink-plugin)
* [`steer-toolset plugins:uninstall PLUGIN...`](#steer-toolset-pluginsuninstall-plugin)
* [`steer-toolset plugins:uninstall PLUGIN...`](#steer-toolset-pluginsuninstall-plugin-1)
* [`steer-toolset plugins:uninstall PLUGIN...`](#steer-toolset-pluginsuninstall-plugin-2)
* [`steer-toolset plugins update`](#steer-toolset-plugins-update)
* [`steer-toolset strategy [FILE]`](#steer-toolset-strategy-file)

## `steer-toolset app`

Manage strategies for Steer Protocol

```
USAGE
  $ steer-toolset app

DESCRIPTION
  Manage strategies for Steer Protocol

EXAMPLES
  $ steer-toolset app backtest
```

_See code: [dist/commands/app/index.ts](https://github.com/SteerProtocol/backtesting-toolkit/blob/v1.2.3/dist/commands/app/index.ts)_

## `steer-toolset app backtest FILE`

Backtest a strategy against a given data connector

```
USAGE
  $ steer-toolset app backtest [FILE] [-p <value>] [-s <value>]

ARGUMENTS
  FILE  File to load strategy from

FLAGS
  -p, --pool=<value>   Pool which the strategy will be tested against.
  -s, --sleep=<value>  Sleep setting for pulling historical data in seconds. Useful if pulling large datasets or you
                       don't want to be rate limited.

DESCRIPTION
  Backtest a strategy against a given data connector

EXAMPLES
  $ steer-toolset app backtest
```

## `steer-toolset doctor`

Clear all cache files and supporting modules

```
USAGE
  $ steer-toolset doctor

DESCRIPTION
  Clear all cache files and supporting modules

EXAMPLES
  $ steer-toolset doctor
```

_See code: [dist/commands/doctor.ts](https://github.com/SteerProtocol/backtesting-toolkit/blob/v1.2.3/dist/commands/doctor.ts)_

## `steer-toolset help [COMMAND]`

Display help for steer-toolset.

```
USAGE
  $ steer-toolset help [COMMAND] [-n]

ARGUMENTS
  COMMAND  Command to show help for.

FLAGS
  -n, --nested-commands  Include all nested commands in the output.

DESCRIPTION
  Display help for steer-toolset.
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v5.1.12/src/commands/help.ts)_

## `steer-toolset job [TYPE_OF_JOB]`

describe the command here

```
USAGE
  $ steer-toolset job [TYPE_OF_JOB] [-n <value>] [-f]

FLAGS
  -f, --force
  -n, --name=<value>  name to print

DESCRIPTION
  describe the command here

EXAMPLES
  $ steer-toolset job
```

_See code: [dist/commands/job/index.ts](https://github.com/SteerProtocol/backtesting-toolkit/blob/v1.2.3/dist/commands/job/index.ts)_

## `steer-toolset plugins`

List installed plugins.

```
USAGE
  $ steer-toolset plugins [--core]

FLAGS
  --core  Show core plugins.

DESCRIPTION
  List installed plugins.

EXAMPLES
  $ steer-toolset plugins
```

_See code: [@oclif/plugin-plugins](https://github.com/oclif/plugin-plugins/blob/v2.1.7/src/commands/plugins/index.ts)_

## `steer-toolset plugins:install PLUGIN...`

Installs a plugin into the CLI.

```
USAGE
  $ steer-toolset plugins:install PLUGIN...

ARGUMENTS
  PLUGIN  Plugin to install.

FLAGS
  -f, --force    Run yarn install with force flag.
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Installs a plugin into the CLI.
  Can be installed from npm or a git url.

  Installation of a user-installed plugin will override a core plugin.

  e.g. If you have a core plugin that has a 'hello' command, installing a user-installed plugin with a 'hello' command
  will override the core plugin implementation. This is useful if a user needs to update core plugin functionality in
  the CLI without the need to patch and update the whole CLI.


ALIASES
  $ steer-toolset plugins add

EXAMPLES
  $ steer-toolset plugins:install myplugin 

  $ steer-toolset plugins:install https://github.com/someuser/someplugin

  $ steer-toolset plugins:install someuser/someplugin
```

## `steer-toolset plugins:inspect PLUGIN...`

Displays installation properties of a plugin.

```
USAGE
  $ steer-toolset plugins:inspect PLUGIN...

ARGUMENTS
  PLUGIN  [default: .] Plugin to inspect.

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Displays installation properties of a plugin.

EXAMPLES
  $ steer-toolset plugins:inspect myplugin
```

## `steer-toolset plugins:install PLUGIN...`

Installs a plugin into the CLI.

```
USAGE
  $ steer-toolset plugins:install PLUGIN...

ARGUMENTS
  PLUGIN  Plugin to install.

FLAGS
  -f, --force    Run yarn install with force flag.
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Installs a plugin into the CLI.
  Can be installed from npm or a git url.

  Installation of a user-installed plugin will override a core plugin.

  e.g. If you have a core plugin that has a 'hello' command, installing a user-installed plugin with a 'hello' command
  will override the core plugin implementation. This is useful if a user needs to update core plugin functionality in
  the CLI without the need to patch and update the whole CLI.


ALIASES
  $ steer-toolset plugins add

EXAMPLES
  $ steer-toolset plugins:install myplugin 

  $ steer-toolset plugins:install https://github.com/someuser/someplugin

  $ steer-toolset plugins:install someuser/someplugin
```

## `steer-toolset plugins:link PLUGIN`

Links a plugin into the CLI for development.

```
USAGE
  $ steer-toolset plugins:link PLUGIN

ARGUMENTS
  PATH  [default: .] path to plugin

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Links a plugin into the CLI for development.
  Installation of a linked plugin will override a user-installed or core plugin.

  e.g. If you have a user-installed or core plugin that has a 'hello' command, installing a linked plugin with a 'hello'
  command will override the user-installed or core plugin implementation. This is useful for development work.


EXAMPLES
  $ steer-toolset plugins:link myplugin
```

## `steer-toolset plugins:uninstall PLUGIN...`

Removes a plugin from the CLI.

```
USAGE
  $ steer-toolset plugins:uninstall PLUGIN...

ARGUMENTS
  PLUGIN  plugin to uninstall

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Removes a plugin from the CLI.

ALIASES
  $ steer-toolset plugins unlink
  $ steer-toolset plugins remove
```

## `steer-toolset plugins:uninstall PLUGIN...`

Removes a plugin from the CLI.

```
USAGE
  $ steer-toolset plugins:uninstall PLUGIN...

ARGUMENTS
  PLUGIN  plugin to uninstall

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Removes a plugin from the CLI.

ALIASES
  $ steer-toolset plugins unlink
  $ steer-toolset plugins remove
```

## `steer-toolset plugins:uninstall PLUGIN...`

Removes a plugin from the CLI.

```
USAGE
  $ steer-toolset plugins:uninstall PLUGIN...

ARGUMENTS
  PLUGIN  plugin to uninstall

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Removes a plugin from the CLI.

ALIASES
  $ steer-toolset plugins unlink
  $ steer-toolset plugins remove
```

## `steer-toolset plugins update`

Update installed plugins.

```
USAGE
  $ steer-toolset plugins update [-h] [-v]

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Update installed plugins.
```

## `steer-toolset strategy [FILE]`

describe the command here

```
USAGE
  $ steer-toolset strategy [FILE] [-n <value>] [-f]

FLAGS
  -f, --force
  -n, --name=<value>  name to print

DESCRIPTION
  describe the command here

EXAMPLES
  $ steer-toolset strategy
```

_See code: [dist/commands/strategy.ts](https://github.com/SteerProtocol/backtesting-toolkit/blob/v1.2.3/dist/commands/strategy.ts)_
<!-- commandsstop -->
